DCMTK: DcmQueryRetrieveCharacterSetOptions Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
DcmQueryRetrieveCharacterSetOptions Struct Reference

this class describes configuration settings regarding character set handling More...

## Public Types
enum | Flags { Configured = 0x01 , Override = 0x02 , Fallback = 0x04 }
| Flags for controlling the application behavior regarding character set conversion. More...

## Public Member Functions
| DcmQueryRetrieveCharacterSetOptions ()
| Constructor, will construct an object that is marked as "not configured".
OFBool | parseOptions (const char *mnemonic, char *valueptr)
| extract arguments from the config file.

## Public Attributes
OFString | characterSet
| the given character set
unsigned | flags
| determine semantics of the character set value
unsigned | conversionFlags
| special character set conversion flags.

## Detailed Description

this class describes configuration settings regarding character set handling

## Member Enumeration Documentation

## ◆ Flags

enum DcmQueryRetrieveCharacterSetOptions::Flags

Flags for controlling the application behavior regarding character set conversion.

Might be used for global and for per peer configuration.

Enumerator
Configured | Activate options for Specific Character Set. If this flag is not set, all other flags and the given string for Specific Character Set will be ignored, e.g. using the global settings instead of peer specific ones.
Override | Always respond using the given character set, ignoring the character set of the request. If this flag is not set, the response will be created to the character set of the request (if possible).
Fallback | Fall back to another character set. If this flag is set, the application will try to recover from a conversion failure: If 'Override' is set, the application will try to convert the response to the character set of the request if conversion to the given character set failed. If 'Override' is not set, the application will try to convert the response to the given character set if conversion to the character set of the response failed. If this flag is not set, the response will be left as-is, i.e. like it is stored in the index file, if conversion to another character set failed. Note The fall back conversion might also fail, in which case the response will still be left as-is, even if a fall back option was given.

## Member Function Documentation

## ◆ parseOptions()

OFBool DcmQueryRetrieveCharacterSetOptions::parseOptions | ( | const char * | mnemonic,
|  | char * | valueptr )

extract arguments from the config file.

Parameters

  mnemonic | the name of the current option
  valueptr | the argument(s)

Returns
  OFTrue if the given name value pair referred to a character set option and was 'consumed', OFFalse if it should be handled elsewhere.

## Member Data Documentation

## ◆ conversionFlags

unsigned DcmQueryRetrieveCharacterSetOptions::conversionFlags

special character set conversion flags.

See also
  OFCharacterEncoding::ConversionFlags

## ◆ flags

unsigned DcmQueryRetrieveCharacterSetOptions::flags

determine semantics of the character set value

See also
  DcmQueryRetrieveCharacterSet::Flags

The documentation for this struct was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcnf.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2